import { BaseFramework, Category } from './framework.js';
export class Expo extends BaseFramework {
    id = 'expo';
    name = 'Expo';
    configFiles = ['app.json'];
    npmDependencies = ['expo'];
    category = Category.FrontendFramework;
    dev = {
        command: 'expo start --web',
        port: 19006,
        pollingStrategies: [{ name: 'TCP' }],
    };
    build = {
        command: 'expo build:web',
        directory: 'web-build',
    };
    logo = {
        default: '/logos/expo/default.svg',
        light: '/logos/expo/light.svg',
        dark: '/logos/expo/dark.svg',
    };
}
//# sourceMappingURL=expo.js.map