import type { FrameworkName } from './generated/frameworkNames.js';
import type { Framework } from './types.js';
interface Options {
    projectDir?: string;
    nodeVersion?: string;
}
/**
 * Return all the frameworks used by a project.
 */
export declare const listFrameworks: (opts?: Options) => Promise<Framework[]>;
/**
 * Return whether a project uses a specific framework
 */
export declare const hasFramework: (frameworkId: FrameworkName, options?: Options) => Promise<boolean>;
/**
 * Return some information about a framework used by a project.
 */
export declare const getFramework: (frameworkId: FrameworkName, options?: Options) => Promise<Framework>;
export declare const supportedRuntimes: {
    next: {
        package: string;
        skipFlag: string;
    };
    gatsby: {
        package: string;
        skipFlag: string;
    };
};
export {};
