import{inspect}from"util";

import{getMessage}from"./message.js";
import{printError}from"./print.js";
import{getStack}from"./stack.js";

const{custom}=inspect;



export const getError=function({name,event}){
const message=getMessage({event,name});
const mainValue=getMainValue(event);
const staticProps=getEventProps(mainValue);
const stackA=getStack(mainValue);
const error=buildError({name,message,stack:stackA,staticProps});
return{error,stack:stackA,mainValue};
};


const getMainValue=function({value,nextValue:mainValue=value}){
return mainValue;
};


const getEventProps=function(mainValue){
if(mainValue instanceof Error){
return{...mainValue};
}

return{};
};

const buildError=function({name,message,stack,staticProps}){
const error=new Error(message);

Object.assign(error,staticProps);


Object.defineProperty(error,"name",{
value:capitalize(name),
enumerable:false,
writable:true,
configurable:true});


error.stack=`${error}\n${stack}`;
return error;
};

const capitalize=function(string){
const[firstLetter,...rest]=string;
return[firstLetter.toUpperCase(),...rest].join("");
};


export const addErrorPrint=function({
error,
error:{message},
opts,
level,
name,
stack})
{
error[custom]=printError.bind(undefined,{
opts,
level,
name,
message,
stack});

};
//# sourceMappingURL=main.js.map