import{nextTick}from"process";



const throwUncaughtException=function(error){
nextTick(()=>{
throw error;
});
};



const tapeFailingTest=async function(error){

const tape=await import("tape");
tape.test(error.message,(t)=>{
t.plan(1);
t.error(error);
});
};


const COMMON_OPTIONS={
log:throwUncaughtException,

colors:false,

exitOn:[],


level:{
uncaughtException:"silent",
unhandledRejection:"silent"}};



export const RUNNERS={
ava:COMMON_OPTIONS,

mocha:{...COMMON_OPTIONS,level:{uncaughtException:"silent"}},
jasmine:COMMON_OPTIONS,

tape:{...COMMON_OPTIONS,level:{},log:tapeFailingTest},
node_tap:COMMON_OPTIONS};
//# sourceMappingURL=runners.js.map