import{execFile}from"node:child_process";
import{join}from"node:path";
import{env}from"node:process";
import{promisify}from"node:util";

import{pathExists}from"path-exists";

const pExecFile=promisify(execFile);


export const getNvmCustomAlias=function(alias){
return runNvmCommand(`nvm_alias ${alias}`);
};


export const getNvmSystemVersion=function(){
return runNvmCommand("nvm deactivate >/dev/null && node --version");
};


const runNvmCommand=async function(command){
if(!env.NVM_DIR){
return;
}

const nvmPath=join(env.NVM_DIR,"nvm.sh");

if(!(await pathExists(nvmPath))){
return;
}

try{
const{stdout}=await pExecFile("bash",[
"-c",
`source "${nvmPath}" && ${command}`]);

return stdout.trim();




}catch{}
};
//# sourceMappingURL=nvm.js.map